Bug 1255382 - Modifying subnet 'Allocation Pools' is impossible
Modifying subnet 'Allocation Pools' is impossible
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity medium
: async
: 8.0 (Liberty)
Assigned To: Masco
Ido Ovadia
: TestOnly, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 08:33 EDT by Ronnie Rasouli
Modified: 2016-09-22 14:56 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-django-horizon-8.0.1-4.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1344437 (view as bug list)
Environment:
Last Closed: 2016-09-22 14:56:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1487005 None None None Never

  None (edit)
Description Ronnie Rasouli 2015-08-20 08:33:33 EDT
Description of problem:

Modifying subnet 'Allocation Pools' is impossible after creating via Horizon GUI



Version-Release number of selected component (if applicable):

python-django-horizon-2015.1.0-11.el7ost.noarch

How reproducible:

Always

Steps to Reproduce:

1.Create a network
2. create a subnet
3. check the disable gateway
4. edit the subnet: project --> newly created network --> click edit subnet in the relevant subnet
4. change the  'Allocation Pools' so it will start valid from 192.168.1.2-192.168.1.254
5. click save
6. save message success - but in fact nothing has changed, the Allocation pools did not change


Actual results:

Horizon indicates that it saved, after reviewing the subnet again the allocation pool did not change
Expected results:

modifying the subnet will change its allocation pools

Additional info:

From nuetron CLI works:
neutron subnet-update ce373461-08a4-4974-95d0-75ebf328a62f --allocation-pool 'start=192.168.1.10,end=192.168.1.254'

The bug does not allow adding new gateway, creating floating IP - a dragging bug that effects other components
Comment 3 Itxaka 2016-06-09 13:10:13 EDT
Setting target to 8.0. We cannot backport the patch downstream to 7.0 as it introduces new strings, but on 8.0 its possible to do the backport as those strings are there
Comment 4 Itxaka 2016-06-10 07:33:53 EDT
Patch merged downstream.
Comment 5 Lon Hohberger 2016-06-23 14:21:02 EDT
According to our records, this should be resolved by python-django-horizon-8.0.1-4.el7ost.  This build is available now.
Comment 6 Ido Ovadia 2016-08-30 11:59:41 EDT
Verified
========
python-django-horizon-8.0.1-6.el7ost.noarch

Note You need to log in before you can comment on or make changes to this bug.